org.apache.cassandra.tools.nodetool

## Class StatusThrift

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.StatusThrift

All Implemented Interfaces:
  java.lang.Runnable

    @Command(name="statusthrift",
             description="Status of thrift server")
    public class StatusThrift
    extends NodeTool.NodeToolCmd

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`NodeTool.NodeToolCmd.KeyspaceSet`

### Constructor Summary

Constructors
Constructor and Description
`StatusThrift()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalKeyspace, parseOptionalKeyspace, parseOptionalTables, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusThrift

    public StatusThrift()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`